import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixImageEaseOutPage extends StatelessWidget {
  const PhoenixImageEaseOutPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Image Ease Out Fade'),
      ),
      body: const PhoenixImageEaseOutFade(
        imageListCollection: [
          "https://cdn3.iconfinder.com/data/icons/2018-social-media-logotypes/1000/2018_social_media_popular_app_logo_twitter-128.png",
          "https://cdn4.iconfinder.com/data/icons/logos-and-brands/512/387_Xbox_logo-512.png",
          "https://cdn1.iconfinder.com/data/icons/logos-brands-in-colors/272/Google_2015_logo-512.png",
          "https://cdn4.iconfinder.com/data/icons/iconsimple-logotypes/512/github-512.png",
          "https://cdn4.iconfinder.com/data/icons/logos-and-brands/512/395_Youtube_logo-512.png",
          "https://cdn2.iconfinder.com/data/icons/social-icons-33/128/Instagram-512.png",
          "https://cdn2.iconfinder.com/data/icons/social-media-2421/512/TikTok-512.png",
        ],
        durationMiliseconds: 1500,
        imagePadding: EdgeInsets.all(16),
      ),
    );
  }
}
